.search-icon,
.search-close {
  padding-top: 15px;
  padding-bottom: 15px;
  color: $navbar-default-link-color;
  border: 0;
  background-color: transparent;

  @media (min-width: $screen-md-min) {
    margin-right: 10px;
    padding-right: 6px;
    padding-left: 6px;
  }

  @media (min-width: $screen-lg-min) {
    margin-right: 20px;
  }

  &:hover,
  &:focus {
    color: $color-primary;
    outline: 0;
  }
}

.search-icon {
  margin-right: 5px;
  padding: 11px 15px;
  font-size: 20px;

  @media (min-width: $screen-sm-min) {
    padding-top: 15px;
    padding-bottom: 15px;
    font-size: 14px;
  }
}

.search-close {
  position: absolute;
  top: 0;
  right: -7px;
  margin-right: 0;
  transition: .4s ease;
  opacity: 0;
}

.search-box {
  display: flex;
  align-items: center;
  position: absolute;
  top: 0;
  bottom: 0;
  left: calc(100% - 75px);
  right: 75px;
  height: 50px;
  z-index: 9;
  background-color: $color-white;
  overflow: hidden;
  transition: .25s ease;

  @media (min-width: $screen-md-min) {
    left: calc(100% - 145px);
    right: 145px;
  }

  @media (min-width: $screen-md-min) {
    left: calc(100% - 145px);
    right: 145px;
  }

  @media (min-width: $screen-lg-min) {
    left: calc(100% - 150px);
    right: 150px;
  }

  &.is-visible {
    left: 15px;

    @media (min-width: $screen-sm-min) {
      left: 200px;
    }

    .search-close {
      opacity: 1;
    }
  }
}

.search-input {
  width: 100%;
  height: 30px;
  padding-right: 30px;
  margin-left: 30px;
  color: $search-input-font-color;
  font-size: 16px;
  line-height: 28px;
  border-style: solid;
  border-color: $search-border-color;
  border-width: 0 0 1px;
  transition: all .35s ease;

  &:focus {
    outline: 0;
    border-color: $color-primary;
  }
}

.search-box-icon {
  position: absolute;
  left: 10px;
  top: 18px;
  color: $navbar-default-link-color;
}

.st-handbook {
  width: 100%;
  padding: 8px;
  border-radius: 4px;
  border: 1px solid $border-color;
}
